Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels
Class CChannelManager.ModifyChannelSettings

    java.lang.Object
      org.jasig.portal.channels.CChannelManager.ModifyChannelSettings

Enclosing class:
  CChannelManager

    protected class CChannelManager.ModifyChannelSettings

extends java.lang.Object

Keeps track of page settings for MODIFY_CHANNEL_STATE

Field Summary
`private java.lang.String` | `currentPage`
`private java.lang.String` | `filterByID`
`private java.lang.String` | `recordsPerPage`

Constructor Summary
`protected` | `CChannelManager.ModifyChannelSettings()` put your documentation comment here

Method Summary
`protected java.lang.String` | `getCurrentPage()`
`protected java.lang.String` | `getFilterByID()`
`protected java.lang.String` | `getRecordsPerPage()`
`protected void` | `setCurrentPage(java.lang.String currentPage)`
`protected void` | `setFilterByID(java.lang.String filterByID)`
`protected void` | `setRecordsPerPage(java.lang.String recordsPerPage)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### recordsPerPage

    private java.lang.String recordsPerPage

### currentPage

    private java.lang.String currentPage

### filterByID

    private java.lang.String filterByID

Constructor Detail

### CChannelManager.ModifyChannelSettings

    protected CChannelManager.ModifyChannelSettings()

  put your documentation comment here

Method Detail

### getRecordsPerPage

    protected java.lang.String getRecordsPerPage()

### getCurrentPage

    protected java.lang.String getCurrentPage()

### getFilterByID

    protected java.lang.String getFilterByID()

### setRecordsPerPage

    protected void setRecordsPerPage(java.lang.String recordsPerPage)

### setCurrentPage

    protected void setCurrentPage(java.lang.String currentPage)

### setFilterByID

    protected void setFilterByID(java.lang.String filterByID)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD